KeyInfo.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/ConcreteXMLObjectBuilder.h>`
`#include <xmltooling/ElementProxy.h>`
`#include <xmltooling/util/XMLConstants.h>`
Include dependency graph for KeyInfo.h:

## Macros

#define | __xmltooling_keyinfo_h__
#define | DECL_XMLSIGOBJECTBUILDER(cname)
| Macro for declaring signature builders.
#define | DECL_XMLSIG11OBJECTBUILDER(cname)
| Macro for declaring signature builders.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

XMLObjects representing XML Digital Signature, version 20020212, KeyInfo element and related content.

## Macro Definition Documentation

## DECL_XMLSIG11OBJECTBUILDER

#define DECL_XMLSIG11OBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(XMLTOOL_API,cname,xmlconstants::XMLSIG11_NS,xmlconstants::XMLSIG11_PREFIX)
DECL_XMLOBJECTBUILDER
#define DECL_XMLOBJECTBUILDER(linkage, cname, namespaceURI, namespacePrefix)
Declares a generic XMLObjectBuilder specialization.
Definition base.h:1681
xmlconstants::XMLSIG11_PREFIX
const XMLCh XMLSIG11_PREFIX[]
XML Signature 1.1 QName prefix ("ds11").
xmlconstants::XMLSIG11_NS
const XMLCh XMLSIG11_NS[]
XML Signature 1.1 namespace ("http://www.w3.org/2009/xmldsig11#").

Macro for declaring signature builders.

Parameters

  cname | name of class being built

## DECL_XMLSIGOBJECTBUILDER

#define DECL_XMLSIGOBJECTBUILDER | ( |  | cname | ) |

Value:
DECL_XMLOBJECTBUILDER(XMLTOOL_API,cname,xmlconstants::XMLSIG_NS,xmlconstants::XMLSIG_PREFIX)
xmlconstants::XMLSIG_PREFIX
const XMLCh XMLSIG_PREFIX[]
XML Signature QName prefix ("ds").
xmlconstants::XMLSIG_NS
const XMLCh XMLSIG_NS[]
XML Signature namespace ("http://www.w3.org/2000/09/xmldsig#").

Macro for declaring signature builders.

Parameters

  cname | name of class being built